Index: palm/trunk/SCRIPTS/NCL/.ncl.config.default
===================================================================
--- palm/trunk/SCRIPTS/NCL/.ncl.config.default	(revision 523)
+++ palm/trunk/SCRIPTS/NCL/.ncl.config.default	(revision 526)
@@ -15,4 +15,12 @@
 
 script=which_script
+
+   ;******************************************************
+   ; BE AWARE: NCl uses double quotes (") to denote strings
+   ;       to retrieve the double quote character - use dq:
+
+    dq=str_get_dq()
+
+   ;******************************************************
    
 ;*********************************************************
@@ -219,7 +227,8 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; inidcate them with one comma before 
-      ; and after
-      ; each variable
+      ; names of output variables; 
+      ; inidcate them with one comma before and after each variable;
+      ; if the name contains double quotes (") use dq and the '+' operation to 
+      ; concatenate the strings
       ;
       ; data type: string 
@@ -868,8 +877,10 @@
       ; names of output variables; 
       ; inidcate them with one comma before and after each variable
+      ; if the name contains double quotes (") use dq and the '+' operation to 
+      ; concatenate the strings
       ;
       ; data type: string 
       ; 
-      ; example: var = ",u,v,w,"; 
+      ; example: var = ",u,v,w,w*pt*,w"+dq+"pt"+dq+",wpt," 
       ;
       ; default:   "all" (all available variables are plotted)
@@ -1663,10 +1674,12 @@
       ; REQUIRED IF combine=1 --c_var-- VARIABLES FOR COMBINING 
       ;
-      ; names of variables; inidcate them with one comma before and 
-      ; after each variable;
-      ;
-      ; data type: string
-      ;
-      ; example: c_var = ",u,v,"
+      ; names of variables; 
+      ; inidcate them with one comma before and after each variable
+      ; if the name contains double quotes (") use dq and the '+' operation to 
+      ; concatenate the strings
+      ;
+      ; data type: string
+      ;
+      ; example: c_var = ",u,v,w,w*pt*,w"+dq+"pt"+dq+",wpt," 
       ;
       ; default:   "c_variables"
@@ -1908,6 +1921,8 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; inidcate them with one comma before 
-      ; and after each variable
+      ; names of output variables;
+      ; inidcate them with one comma before and after each variable
+      ; if the name contains double quotes (") use dq and the '+' operation to 
+      ; concatenate the strings
       ;
       ; data type: string 
@@ -2344,10 +2359,12 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; inidcate them with one comma before 
-      ; and after each variable
+      ; names of output variables; 
+      ; inidcate them with one comma before and after each variable
+      ; if the name contains double quotes (") use dq and the '+' operation to 
+      ; concatenate the strings
       ;
       ; data type: string 
       ; 
-      ; example: var = ",u,v,w,"
+      ; example: var = ",umax,vmax,wmax,w"+dq+"pt"+dq+"0,"
       ;
       ; default:   "all" (all available variables are plotted)
Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 523)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 526)
@@ -34,4 +34,10 @@
 
 begin
+
+   ; ***************************************************
+   ; Retrieving the double quote character
+   ; ***************************************************
+   
+   dq=str_get_dq()
 
    ; ***************************************************
@@ -1321,5 +1327,9 @@
               .or. vNam(varn) .eq. "prrs_xy" .or. vNam(varn) .eq. "qsws_xy" \
               .or. vNam(varn) .eq. "shfs_xy" .or. vNam(varn) .eq. "ts_xy"   \
-              .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy") then
+              .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy"    \
+              .or. vNam(varn) .eq. "lwp*_xy" .or. vNam(varn) .eq. "pra*_xy" \
+              .or. vNam(varn) .eq. "prr*_xy" .or. vNam(varn) .eq. "qsws*_xy"\
+              .or. vNam(varn) .eq. "shf*_xy" .or. vNam(varn) .eq. "t*_xy"   \
+              .or. vNam(varn) .eq. "u*_xy" .or. vNam(varn) .eq. "z0*_xy") then
               ;these variables depend on zu1_xy and that's why they have only one z-layer
               data(varn,:,0,:,:)=temp(:,0,ys:ye,xs:xe) 
@@ -1606,5 +1616,9 @@
                          .or. vNam(varn) .eq. "prrs_xy" .or. vNam(varn) .eq. "qsws_xy" \
                          .or. vNam(varn) .eq. "shfs_xy" .or. vNam(varn) .eq. "ts_xy"   \
-                         .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy") then
+                         .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy"    \
+                         .or. vNam(varn) .eq. "lwp*_xy" .or. vNam(varn) .eq. "pra*_xy" \
+                         .or. vNam(varn) .eq. "prr*_xy" .or. vNam(varn) .eq. "qsws*_xy"\
+                         .or. vNam(varn) .eq. "shf*_xy" .or. vNam(varn) .eq. "t*_xy"   \
+                         .or. vNam(varn) .eq. "u*_xy" .or. vNam(varn) .eq. "z0*_xy") then
                          loe = 0
                          level = "=" + zu1(0) + "m"
@@ -1642,5 +1656,9 @@
                          .or. vNam(varn) .eq. "prrs_xy" .or. vNam(varn) .eq. "qsws_xy" \
                          .or. vNam(varn) .eq. "shfs_xy" .or. vNam(varn) .eq. "ts_xy"   \
-                         .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy") then
+                         .or. vNam(varn) .eq. "us_xy" .or. vNam(varn) .eq. "z0s_xy"    \
+                         .or. vNam(varn) .eq. "lwp*_xy" .or. vNam(varn) .eq. "pra*_xy" \
+                         .or. vNam(varn) .eq. "prr*_xy" .or. vNam(varn) .eq. "qsws*_xy"\
+                         .or. vNam(varn) .eq. "shf*_xy" .or. vNam(varn) .eq. "t*_xy"   \
+                         .or. vNam(varn) .eq. "u*_xy" .or. vNam(varn) .eq. "z0*_xy") then
                          lie = 0
                          level = "=" + zu1(0) + "m"
Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 523)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 526)
@@ -33,4 +33,10 @@
     
 begin
+
+   ;***************************************************
+   ; Retrieving the double quote character
+   ;***************************************************
+   
+   dq=str_get_dq()
 
    ;***************************************************
@@ -590,8 +596,10 @@
                                     else
                                        if(vNam(varn) .EQ. "e" .OR. isStrSubset(vNam(varn), "e_"))then
+                                         
                                           z_u = f_att->$vNam(varn+1)$ 
                                           break
                                        else
-                                          if(vNam(varn) .EQ. "es" .OR. isStrSubset(vNam(varn), "es_"))then
+                                          if(vNam(varn) .EQ. "es" .OR. isStrSubset(vNam(varn), "es_")\
+                                             .OR. vNam(varn) .EQ. "e*" .OR. isStrSubset(vNam(varn), "e*_"))then
                                              z_u = f_att->$vNam(varn+1)$ 
                                              break
@@ -609,25 +617,31 @@
                                                       break
                                                    else
-                                                      if(vNam(varn) .EQ. "us2" .OR. isStrSubset(vNam(varn), "us2_"))then
+                                                      if(vNam(varn) .EQ. "us2" .OR. isStrSubset(vNam(varn), "us2_")\
+                                                         .OR. vNam(varn) .EQ. "u*2" .OR. isStrSubset(vNam(varn), "u*2_"))then
                                                          z_u = f_att->$vNam(varn+1)$ 
                                                          break
                                                       else
-                                                         if(vNam(varn) .EQ. "vs2" .OR. isStrSubset(vNam(varn), "vs2_") )then
+                                                         if(vNam(varn) .EQ. "vs2" .OR. isStrSubset(vNam(varn), "vs2_")\
+                                                            .OR. vNam(varn) .EQ. "v*2" .OR. isStrSubset(vNam(varn), "v*2_"))then
                                                             z_u = f_att->$vNam(varn+1)$ 
                                                             break
                                                          else
-                                                            if(vNam(varn) .EQ. "pts2" .OR. isStrSubset(vNam(varn), "pts2_"))then
+                                                            if(vNam(varn) .EQ. "pts2" .OR. isStrSubset(vNam(varn), "pts2_")\
+                                                               .OR. vNam(varn) .EQ. "pt*2" .OR. isStrSubset(vNam(varn), "pt*2_"))then
                                                                z_u = f_att->$vNam(varn+1)$ 
                                                                break
                                                             else
-                                                               if(vNam(varn) .EQ. "wsususodz" .OR. isStrSubset(vNam(varn), "wsususodz_"))then
+                                                               if(vNam(varn) .EQ. "wsususodz" .OR. isStrSubset(vNam(varn), "wsususodz_")\
+                                                                  .OR. vNam(varn) .EQ. "w*u*u*:dz" .OR. isStrSubset(vNam(varn), "w*u*u*:dz_"))then
                                                                   z_u = f_att->$vNam(varn+1)$ 
                                                                   break
                                                                else
-                                                                  if(vNam(varn) .EQ. "wspsodz" .OR. isStrSubset(vNam(varn), "wspsodz_"))then
+                                                                  if(vNam(varn) .EQ. "wspsodz" .OR. isStrSubset(vNam(varn), "wspsodz_")\
+                                                                     .OR. vNam(varn) .EQ. "w*p*:dz" .OR. isStrSubset(vNam(varn), "w*p*:dz_"))then
                                                                      z_u = f_att->$vNam(varn+1)$ 
                                                                      break
                                                                   else
-                                                                     if(vNam(varn) .EQ. "wpeodz" .OR. isStrSubset(vNam(varn), "wpeodz_"))then
+                                                                     if(vNam(varn) .EQ. "wpeodz" .OR. isStrSubset(vNam(varn), "wpeodz_")\
+                                                                        .OR. vNam(varn) .EQ. "w"+dq+"e:dz" .OR. isStrSubset(vNam(varn), "w"+dq+"e:dz_"))then
                                                                         z_u = f_att->$vNam(varn+1)$
                                                                         break                                                                        
@@ -664,9 +678,11 @@
          break
       else
-         if (vNam(varn) .EQ. "wpup" .OR. isStrSubset(vNam(varn), "wpup_"))then
+         if (vNam(varn) .EQ. "wpup" .OR. isStrSubset(vNam(varn), "wpup_")\
+            .OR. vNam(varn) .EQ. "w"+dq+"u"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"u"+dq+"_"))then
             z_w = f_att->$vNam(varn+1)$
             break
          else
-            if(vNam(varn) .EQ. "wsus" .OR. isStrSubset(vNam(varn), "wsus_"))then
+            if(vNam(varn) .EQ. "wsus" .OR. isStrSubset(vNam(varn), "wsus_")\
+               .OR. vNam(varn) .EQ. "w*u*" .OR. isStrSubset(vNam(varn), "w*u*_"))then
                z_w = f_att->$vNam(varn+1)$
                break
@@ -676,9 +692,11 @@
                   break
                else
-                  if(vNam(varn) .EQ. "wpvp" .OR. isStrSubset(vNam(varn), "wpvp_"))then
+                  if(vNam(varn) .EQ. "wpvp" .OR. isStrSubset(vNam(varn), "wpvp_")\
+                     .OR. vNam(varn) .EQ. "w"+dq+"v"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"v"+dq+"_"))then
                      z_w = f_att->$vNam(varn+1)$ 
                      break
                   else   
-                     if(vNam(varn) .EQ. "wsvs" .OR. isStrSubset(vNam(varn), "wsvs_"))then
+                     if(vNam(varn) .EQ. "wsvs" .OR. isStrSubset(vNam(varn), "wsvs_")\
+                        .OR. vNam(varn) .EQ. "w*v*" .OR. isStrSubset(vNam(varn), "w*v*_"))then
                         z_w = f_att->$vNam(varn+1)$ 
                         break
@@ -688,17 +706,20 @@
                            break
                         else
-                           if(vNam(varn) .EQ. "wptpp" .OR. isStrSubset(vNam(varn), "wptpp_"))then
+                           if(vNam(varn) .EQ. "wptpp" .OR. isStrSubset(vNam(varn), "wptpp_")\
+                              .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"pt"+dq+"_"))then
                               z_w = f_att->$vNam(varn+1)$ 
                               break
                            else
-                              if(vNam(varn) .EQ. "wspts" .OR. isStrSubset(vNam(varn), "wspts_"))then
+                              if(vNam(varn) .EQ. "wspts" .OR. isStrSubset(vNam(varn), "wspts_")\
+                                 .OR. vNam(varn) .EQ. "w*pt*" .OR. isStrSubset(vNam(varn), "w*pt*_"))then
                                  z_w = f_att->$vNam(varn+1)$ 
                                  break
                               else
-                                 if(vNam(varn) .EQ. "wpt" .OR. isStrSubset(vNam(varn), "wpz_"))then
+                                 if(vNam(varn) .EQ. "wpt" .OR. isStrSubset(vNam(varn), "wpt_"))then
                                     z_w = f_att->$vNam(varn+1)$
                                     break
                                  else
-                                    if(vNam(varn) .EQ. "wsptsBC" .OR. isStrSubset(vNam(varn), "wsptsBC_"))then
+                                    if(vNam(varn) .EQ. "wsptsBC" .OR. isStrSubset(vNam(varn), "wsptsBC_")\
+                                       .OR. vNam(varn) .EQ. "w*pt*BC" .OR. isStrSubset(vNam(varn), "w*pt*BC_"))then
                                        z_w = f_att->$vNam(varn+1)$ 
                                        break
@@ -708,9 +729,11 @@
                                           break
                                        else
-                                          if(vNam(varn) .EQ. "wpvptp" .OR. isStrSubset(vNam(varn), "wpvptp_"))then
+                                          if(vNam(varn) .EQ. "wpvptp" .OR. isStrSubset(vNam(varn), "wpvptp_")\
+                                              .OR. vNam(varn) .EQ. "w"+dq+"vpt"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"vpt"+dq+"_"))then
                                              z_w = f_att->$vNam(varn+1)$ 
                                              break
                                           else
-                                             if(vNam(varn) .EQ. "wsvpts" .OR. isStrSubset(vNam(varn), "wsvpts_"))then
+                                             if(vNam(varn) .EQ. "wsvpts" .OR. isStrSubset(vNam(varn), "wsvpts_")\
+                                               .OR. vNam(varn) .EQ. "w*vpt*" .OR. isStrSubset(vNam(varn), "w*vpt*_"))then
                                                 z_w = f_att->$vNam(varn+1)$
                                                 break
@@ -720,9 +743,11 @@
                                                    break
                                                 else
-                                                   if(vNam(varn) .EQ. "wpqp" .OR. isStrSubset(vNam(varn), "wpqp_"))then
+                                                   if(vNam(varn) .EQ. "wpqp" .OR. isStrSubset(vNam(varn), "wpqp_")\
+                                                      .OR. vNam(varn) .EQ. "w"+dq+"q"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"q"+dq+"_"))then
                                                       z_w = f_att->$vNam(varn+1)$ 
                                                       break
                                                    else
-                                                      if(vNam(varn) .EQ. "wsqs" .OR. isStrSubset(vNam(varn), "wsqs_"))then
+                                                      if(vNam(varn) .EQ. "wsqs" .OR. isStrSubset(vNam(varn), "wsqs_")\
+                                                         .OR. vNam(varn) .EQ. "w*q*" .OR. isStrSubset(vNam(varn), "w*q*_"))then
                                                          z_w = f_att->$vNam(varn+1)$ 
                                                          break
@@ -732,9 +757,11 @@
                                                             break
                                                          else
-                                                            if(vNam(varn) .EQ. "wpqvp" .OR. isStrSubset(vNam(varn), "wpqvp_"))then
+                                                            if(vNam(varn) .EQ. "wpqvp" .OR. isStrSubset(vNam(varn), "wpqvp_")\
+                                                               .OR. vNam(varn) .EQ. "w"+dq+"qv"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"qv"+dq+"_"))then
                                                                z_w = f_att->$vNam(varn+1)$ 
                                                                break
                                                             else
-                                                               if(vNam(varn) .EQ. "wsqvs" .OR. isStrSubset(vNam(varn), "wsqvs_"))then
+                                                               if(vNam(varn) .EQ. "wsqvs" .OR. isStrSubset(vNam(varn), "wsqvs_")\
+                                                                  .OR. vNam(varn) .EQ. "w*qv*" .OR. isStrSubset(vNam(varn), "w*qv*_"))then
                                                                   z_w = f_att->$vNam(varn+1)$ 
                                                                   break
@@ -744,9 +771,11 @@
                                                                      break
                                                                   else
-                                                                     if(vNam(varn) .EQ. "wpsp" .OR. isStrSubset(vNam(varn), "wpsp_"))then
+                                                                     if(vNam(varn) .EQ. "wpsp" .OR. isStrSubset(vNam(varn), "wpsp_")\
+                                                                        .OR. vNam(varn) .EQ. "w"+dq+"s"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"s"+dq+"_"))then
                                                                         z_w = f_att->$vNam(varn+1)$
                                                                         break 
                                                                      else
-                                                                        if(vNam(varn) .EQ. "wsss" .OR. isStrSubset(vNam(varn), "wsss_"))then
+                                                                        if(vNam(varn) .EQ. "wsss" .OR. isStrSubset(vNam(varn), "wsss_")\
+                                                                            .OR. vNam(varn) .EQ. "w*s*" .OR. isStrSubset(vNam(varn), "w*s*_"))then
                                                                            z_w = f_att->$vNam(varn+1)$
                                                                            break 
@@ -756,9 +785,11 @@
                                                                               break 
                                                                            else
-                                                                              if(vNam(varn) .EQ. "wpsap" .OR. isStrSubset(vNam(varn), "wpsap_"))then
+                                                                              if(vNam(varn) .EQ. "wpsap" .OR. isStrSubset(vNam(varn), "wpsap_")\
+                                                                                  .OR. vNam(varn) .EQ. "w"+dq+"sa"+dq .OR. isStrSubset(vNam(varn), "w"+dq+"sa"+dq+"_"))then
                                                                                  z_w = f_att->$vNam(varn+1)$
                                                                                  break 
                                                                               else
-                                                                                 if(vNam(varn) .EQ. "wssas" .OR. isStrSubset(vNam(varn), "wssas_") )then
+                                                                                 if(vNam(varn) .EQ. "wssas" .OR. isStrSubset(vNam(varn), "wssas_")\
+                                                                                     .OR. vNam(varn) .EQ. "w*sa*" .OR. isStrSubset(vNam(varn), "w*sa*_"))then
                                                                                     z_w = f_att->$vNam(varn+1)$
                                                                                     break 
@@ -768,13 +799,16 @@
                                                                                        break 
                                                                                     else
-                                                                                       if(vNam(varn) .EQ. "wses" .OR. isStrSubset(vNam(varn), "wses_"))then
+                                                                                       if(vNam(varn) .EQ. "wses" .OR. isStrSubset(vNam(varn), "wses_")\
+                                                                                          .OR. vNam(varn) .EQ. "w*e*" .OR. isStrSubset(vNam(varn), "w*e*_"))then
                                                                                           z_w = f_att->$vNam(varn+1)$
                                                                                           break 
                                                                                        else
-                                                                                          if(vNam(varn) .EQ. "ws2" .OR. isStrSubset(vNam(varn), "ws2_"))then
+                                                                                          if(vNam(varn) .EQ. "ws2" .OR. isStrSubset(vNam(varn), "ws2_")\
+                                                                                             .OR. vNam(varn) .EQ. "w*2" .OR. isStrSubset(vNam(varn), "w*2_"))then
                                                                                              z_w = f_att->$vNam(varn+1)$
                                                                                              break 
                                                                                           else
-                                                                                             if(vNam(varn) .EQ. "ws3" .OR. isStrSubset(vNam(varn), "ws3_"))then
+                                                                                             if(vNam(varn) .EQ. "ws3" .OR. isStrSubset(vNam(varn), "ws3_")\
+                                                                                                .OR. vNam(varn) .EQ. "w*3" .OR. isStrSubset(vNam(varn), "w*3_"))then
                                                                                                 z_w = f_att->$vNam(varn+1)$
                                                                                                 break 
@@ -784,9 +818,11 @@
                                                                                                    break 
                                                                                                 else
-                                                                                                   if(vNam(varn) .EQ. "ws2pts".OR. isStrSubset(vNam(varn), "ws2pts_") )then
+                                                                                                   if(vNam(varn) .EQ. "ws2pts".OR. isStrSubset(vNam(varn), "ws2pts_")\
+                                                                                                      .OR. vNam(varn) .EQ. "w*2pt*" .OR. isStrSubset(vNam(varn), "w*2pt*_"))then
                                                                                                       z_w = f_att->$vNam(varn+1)$
                                                                                                       break 
                                                                                                    else
-                                                                                                      if(vNam(varn) .EQ. "wspts2" .OR. isStrSubset(vNam(varn), "wspts2_"))then
+                                                                                                      if(vNam(varn) .EQ. "wspts2" .OR. isStrSubset(vNam(varn), "wspts2_")\
+                                                                                                         .OR. vNam(varn) .EQ. "w*pt*2" .OR. isStrSubset(vNam(varn), "w*pt*2_"))then
                                                                                                          z_w = f_att->$vNam(varn+1)$
                                                                                                          break                                            
@@ -2034,5 +2070,5 @@
                end if 
             end if
-            if (vNam(varn) .EQ. "es") then
+            if (vNam(varn) .EQ. "es" .OR. vNam(varn) .EQ. "e*") then
                minies=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxies=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2105,5 +2141,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpup") then
+            if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "w"+dq+"u"+dq) then
                miniwpup=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpup=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2128,5 +2164,5 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wsus") then
+            if (vNam(varn) .EQ. "wsus" .OR. vNam(varn) .EQ. "w*u*") then
                miniwsus=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsus=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2175,5 +2211,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpvp") then
+            if (vNam(varn) .EQ. "wpvp" .OR. vNam(varn) .EQ. "w"+dq+"v"+dq) then
                miniwpvp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpvp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2198,5 +2234,5 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wsvs") then
+            if (vNam(varn) .EQ. "wsvs" .OR. vNam(varn) .EQ. "w*v*") then
                miniwsvs=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsvs=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2245,5 +2281,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpptp") then
+            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq) then
                miniwpptp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpptp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2268,5 +2304,5 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wspts") then
+            if (vNam(varn) .EQ. "wspts" .OR. vNam(varn) .EQ. "w*pt*") then
                miniwspts=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwspts=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2315,5 +2351,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wsptsBC") then
+            if (vNam(varn) .EQ. "wsptsBC".OR. vNam(varn) .EQ. "w*pt*BC" ) then
                miniwsptsBC=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsptsBC=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2362,5 +2398,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpvptp") then
+            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "w"+dq+"vpt"+dq) then
                miniwpvptp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpvptp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2385,5 +2421,5 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wsvpts") then
+            if (vNam(varn) .EQ. "wsvpts" .OR. vNam(varn) .EQ. "w*vpt*") then
                miniwsvpts=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsvpts=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2432,5 +2468,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpqp") then
+            if (vNam(varn) .EQ. "wpqp" .OR. vNam(varn) .EQ. "w"+dq+"q"+dq) then
                miniwpqp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpqp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2455,5 +2491,5 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wsqs") then
+            if (vNam(varn) .EQ. "wsqs".OR. vNam(varn) .EQ. "w*s*" ) then
                miniwsqs=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsqs=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2502,5 +2538,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpqvp") then
+            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "w"+dq+"qv"+dq) then
                miniwpqvp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpqvp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2525,5 +2561,5 @@
                end if 
             end if
-            if (vNam(varn) .EQ. "wsqvs") then
+            if (vNam(varn) .EQ. "wsqvs" .OR. vNam(varn) .EQ. "w*qv*") then
                miniwsqvs=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsqvs=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2572,5 +2608,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpsp") then
+            if (vNam(varn) .EQ. "wpsp" .OR. vNam(varn) .EQ. "w"+dq+"s"+dq) then
                miniwpsp=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpsp=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2595,5 +2631,5 @@
                end if 
             end if 
-            if (vNam(varn) .EQ. "wsss") then
+            if (vNam(varn) .EQ. "wsss" .OR. vNam(varn) .EQ. "w*s*" ) then
                miniwsss=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsss=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2642,5 +2678,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpsap") then
+            if (vNam(varn) .EQ. "wpsap" .OR. vNam(varn) .EQ. "w"+dq+"sa"+dq) then
                miniwpsap=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpsap=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2665,5 +2701,5 @@
                end if 
             end if
-            if (vNam(varn) .EQ. "wssas") then
+            if (vNam(varn) .EQ. "wssas" .OR. vNam(varn) .EQ. "w*sa*") then
                miniwssas=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwssas=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2712,5 +2748,5 @@
             end if
 
-            if (vNam(varn) .EQ. "us2") then
+            if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "u*2") then
                minius2=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxius2=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2735,5 +2771,5 @@
                end if 
             end if
-            if (vNam(varn) .EQ. "vs2") then
+            if (vNam(varn) .EQ. "vs2" .OR. vNam(varn) .EQ. "v*2") then
                minivs2=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxivs2=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2758,5 +2794,5 @@
                end if
             end if
-            if (vNam(varn) .EQ. "ws2") then
+            if (vNam(varn) .EQ. "ws2" .OR. vNam(varn) .EQ. "w*2") then
                miniws2=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiws2=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2782,5 +2818,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wsususodz") then
+            if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "w*u*u*:dz") then
                miniwsususodz=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwsususodz=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2805,5 +2841,5 @@
                end if  
             end if
-            if (vNam(varn) .EQ. "wspsodz") then
+            if (vNam(varn) .EQ. "wspsodz" .OR. vNam(varn) .EQ. "w*p*:dz") then
                miniwspsodz=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwspsodz=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -2828,5 +2864,5 @@
                end if 
             end if
-            if (vNam(varn) .EQ. "wpeodz") then
+            if (vNam(varn) .EQ. "wpeodz" .OR. vNam(varn) .EQ. "w"+dq+"p:dz") then
                miniwpeodz=min(data(varn,:,min_z_int:max_z_int))-min_value
                maxiwpeodz=max(data(varn,:,min_z_int:max_z_int))+max_value
@@ -3255,7 +3291,7 @@
             end if    
            
-            if (vNam(varn) .EQ. "e" .OR. vNam(varn) .EQ. "es") then
+            if (vNam(varn) .EQ. "e" .OR. vNam(varn) .EQ. "es" .OR. vNam(varn) .EQ. "e*" ) then
                if (e .EQ. 0) then
-                  res@gsnLeftString      = "e and es"
+                  res@gsnLeftString      = "e and e*"
 		  res@tiXAxisString      = "["+unit(varn)+"]"
                   res@gsnRightString     = " "
@@ -3286,5 +3322,5 @@
                   lgres@vpHeightF          = 0.08          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,2,(/"e","es"/),lgres)       
+                  lbid = gsn_create_legend(wks,2,(/"e","e*"/),lgres)       
 
                   amres = True
@@ -3348,7 +3384,8 @@
             end if           
            
-            if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "wsus" .OR. vNam(varn) .EQ. "wu") then
+            if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "wsus" .OR. vNam(varn) .EQ. "wu" \
+                .OR. vNam(varn) .EQ. "w"+dq+"u"+dq .OR. vNam(varn) .EQ. "w*u*") then
                if (wpup .EQ. 0) then
-                  res@gsnLeftString      = "wpup, wsus and wu"
+                  res@gsnLeftString      = "w"+dq+"u"+dq+", w*u* and wu"
 		  res@tiXAxisString      = "["+unit(varn)+"]"
                   res@gsnRightString     = " "
@@ -3382,5 +3419,5 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpup","wsus","wu"/),lgres)       
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"u"+dq,"w*u*","wu"/),lgres)       
 
                   amres = True
@@ -3397,7 +3434,8 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpvp" .OR. vNam(varn) .EQ. "wsvs" .OR.vNam(varn) .EQ. "wv") then
+            if (vNam(varn) .EQ. "wpvp" .OR. vNam(varn) .EQ. "wsvs" .OR.vNam(varn) .EQ. "wv"\
+                .OR. vNam(varn) .EQ. "w"+dq+"v"+dq .OR. vNam(varn) .EQ. "w*v*") then
                if (wpvp .EQ. 0) then
-                  res@gsnLeftString      = "wpvp, wsvs and wv"
+                  res@gsnLeftString      = "w"+dq+"v"+dq+", w*v* and wv"
 		  res@tiXAxisString      = "["+unit(varn)+"]"
                   res@gsnRightString     = " "
@@ -3431,5 +3469,5 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpvp","wsvs","wv"/),lgres)       
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"v"+dq,"w*v*","wv"/),lgres)       
 
                   amres = True
@@ -3446,7 +3484,8 @@
                end if
             end if
-            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wspts" .OR. vNam(varn) .EQ. "wpt") then
-               if (wpptp .EQ. 0) then
-                  res@gsnLeftString      = "wpptp, wspts and wpt"
+            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wspts" .OR. vNam(varn) .EQ. "wpt"\
+                .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq .OR. vNam(varn) .EQ. "w*pt*") then
+               if (wpptp .EQ. 0) then                 
+                  res@gsnLeftString      = "w"+dq+"pt"+dq+", w*pt* and wpt"
 		  res@tiXAxisString      = "["+unit(varn)+"]"
                   res@gsnRightString     = " "
@@ -3461,8 +3500,304 @@
                      res@trXMaxF = xe  
                   end if 
-                  if (vNam(varn) .EQ. "wspts")then
+                  if (vNam(varn) .EQ. "wspts" .OR. vNam(varn) .EQ. "w*pt*")then
 		     res@xyDashPattern = 1
 		  end if
 		  if (vNam(varn) .EQ. "wpt")then
+		     res@xyDashPattern = 2
+		  end if
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = font_size_legend            
+                  lgres@vpWidthF           = 0.09           
+                  lgres@vpHeightF          = 0.12          
+                  lgres@lgDashIndexes      = (/0,1,2/)              
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"pt"+dq,"w*pt*","wpt"/),lgres)     
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpptp)
+                  wpptp=1
+               else
+                  if (prof3d .EQ. 0)then
+                     varn=varn+1
+                  end if
+                  continue    
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsptsBC" .OR. vNam(varn) .EQ. "wptBC" .OR. vNam(varn) .EQ. "w*pt*BC") then
+               if (wsptsBC .EQ. 0) then
+                  res@gsnLeftString      = "w*pt*BC and wptBC"
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwsptsBC,miniwptBC/))
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwsptsBC,maxiwptBC/))
+                  else 
+                     res@trXMaxF = xe  
+                  end if 
+                  if (vNam(varn) .EQ. "wptBC")then
+		     res@xyDashPattern = 1
+		  end if
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = font_size_legend            
+                  lgres@vpWidthF           = 0.1           
+                  lgres@vpHeightF          = 0.12          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"w*pt*BC","wptBC"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wsptsBC)
+                  wsptsBC=1
+               else
+                  if (prof3d .EQ. 0)then
+                     varn=varn+1
+                  end if
+                  continue   
+               end if  
+            end if             
+            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "wsvpts" .OR. vNam(varn) .EQ. "wvpt"\
+                .OR. vNam(varn) .EQ. "w"+dq+"vpt"+dq .OR. vNam(varn) .EQ. "w*vpt*") then
+               if (wpvptp .EQ. 0) then
+                  res@gsnLeftString      = "w"+dq+"vpt"+dq+", w*vpt* and wvpt"
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpvptp,miniwsvpts,miniwvpt/))
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
+                  else 
+                     res@trXMaxF = xe  
+                  end if 
+		  if (vNam(varn) .EQ. "wsvpts")then
+		     res@xyDashPattern = 1
+		  end if
+		  if (vNam(varn) .EQ. "wvpt")then
+		     res@xyDashPattern = 2
+		  end if
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = font_size_legend            
+                  lgres@vpWidthF           = 0.1           
+                  lgres@vpHeightF          = 0.12          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"vpt"+dq,"w*vpt*","wvpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpvptp)
+                  wpvptp=1
+               else
+                  if (prof3d .EQ. 0)then
+                     varn=varn+1
+                  end if
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpqp" .OR. vNam(varn) .EQ. "wsqs" .OR. vNam(varn) .EQ. "wq"\
+                 .OR. vNam(varn) .EQ. "w"+dq+"q"+dq .OR. vNam(varn) .EQ. "w*q*") then
+               if (wpqp .EQ. 0) then 
+                  res@gsnLeftString      = "w"+dq+"q"+dq+", w*q* and wq"
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpqp,miniwsqs,miniwq/))
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpqp,maxiwsqs,maxiwq/))
+                  else 
+                     res@trXMaxF = xe  
+                  end if  
+		  if (vNam(varn) .EQ. "wsqs")then
+		     res@xyDashPattern = 1
+		  end if
+		  if (vNam(varn) .EQ. "wq")then
+		     res@xyDashPattern = 2
+		  end if
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = font_size_legend           
+                  lgres@vpWidthF           = 0.08           
+                  lgres@vpHeightF          = 0.12          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"q"+dq,"w*q*","wq"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpqp)
+                  wpqp=1
+               else
+                  if (prof3d .EQ. 0)then
+                     varn=varn+1
+                  end if 
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "wsqvs" .OR. vNam(varn) .EQ. "wqv"\
+                .OR. vNam(varn) .EQ. "w"+dq+"qv"+dq .OR. vNam(varn) .EQ. "w*qv*") then
+               if (wpqvp .EQ. 0) then
+                  res@gsnLeftString      ="w"+dq+"qv"+dq+" , w*qv* and wqv"
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpqp,miniwsqvs,miniwqv/))
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
+                  else 
+                     res@trXMaxF = xe  
+                  end if 
+		  if (vNam(varn) .EQ. "wsqvs")then
+		     res@xyDashPattern = 1
+		  end if
+		  if (vNam(varn) .EQ. "wqv")then
+		     res@xyDashPattern = 2
+		  end if
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = font_size_legend            
+                  lgres@vpWidthF           = 0.09           
+                  lgres@vpHeightF          = 0.12         
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"qv"+dq,"w*qv*","wqv"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpqvp) 
+                  wpqvp=1
+               else
+                  if (prof3d .EQ. 0)then
+                     varn=varn+1
+                  end if
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpsp" .OR. vNam(varn) .EQ. "wsss" .OR. vNam(varn) .EQ. "ws"\
+                .OR. vNam(varn) .EQ. "w"+dq+"s"+dq .OR. vNam(varn) .EQ. "w*s*") then
+               if (wpsp .EQ. 0) then
+                  res@gsnLeftString      = "w"+dq+"s"+dq+", w*s* and ws"
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpsp,miniwsss,miniws/))
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpsp,maxiwsss,maxiws/))
+                  else 
+                     res@trXMaxF = xe  
+                  end if 
+                  if (vNam(varn) .EQ. "wsss")then
+		     res@xyDashPattern = 1
+		  end if
+		  if (vNam(varn) .EQ. "ws")then
+		     res@xyDashPattern = 2
+		  end if
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = font_size_legend            
+                  lgres@vpWidthF           = 0.08           
+                  lgres@vpHeightF          = 0.12          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"s"+dq,"w*s*","ws"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpsp)
+                  wpsp=1
+               else
+                  if (prof3d .EQ. 0)then
+                     varn=varn+1
+                  end if
+                  continue   
+               end if
+            end if 
+            if (vNam(varn) .EQ. "wpsap" .OR.vNam(varn) .EQ. "wssas" .OR. vNam(varn) .EQ. "wsa"\
+                .OR. vNam(varn) .EQ. "w"+dq+"sa"+dq .OR. vNam(varn) .EQ. "w*sa*") then
+               if (wpsap .EQ. 0) then
+                  res@gsnLeftString      = "w"+dq+"sa"+dq+", w*sa* and wsa"
+		  res@tiXAxisString      = "["+unit(varn)+"]"
+                  res@gsnRightString     = " "
+                  if (xs .EQ. -1) then
+                     res@trXMinF = min((/miniwpsap,miniwssas,miniwsa/))
+                  else 
+                     res@trXMinF = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF = max((/maxiwpsap,maxiwssas,maxiwsa/))
+                  else 
+                     res@trXMaxF = xe  
+                  end if 
+                  if (vNam(varn) .EQ. "wssas")then
+		     res@xyDashPattern = 1
+		  end if
+		  if (vNam(varn) .EQ. "wsa")then
 		     res@xyDashPattern = 2
 		  end if
@@ -3480,296 +3815,5 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpptp","wspts","wpt"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
-                  overlay(plot(n),plot_wpptp)
-                  wpptp=1
-               else
-                  if (prof3d .EQ. 0)then
-                     varn=varn+1
-                  end if
-                  continue    
-               end if
-            end if
-            if (vNam(varn) .EQ. "wsptsBC" .OR. vNam(varn) .EQ. "wptBC") then
-               if (wsptsBC .EQ. 0) then
-                  res@gsnLeftString      = "wsptsBC and wptBC"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
-                  res@gsnRightString     = " "
-                  if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwsptsBC,miniwptBC/))
-                  else 
-                     res@trXMinF = xs
-                  end if
-                  if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwsptsBC,maxiwptBC/))
-                  else 
-                     res@trXMaxF = xe  
-                  end if 
-                  if (vNam(varn) .EQ. "wptBC")then
-		     res@xyDashPattern = 1
-		  end if
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.1           
-                  lgres@vpHeightF          = 0.12          
-                  lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wsptsBC","wptBC"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
-                  overlay(plot(n),plot_wsptsBC)
-                  wsptsBC=1
-               else
-                  if (prof3d .EQ. 0)then
-                     varn=varn+1
-                  end if
-                  continue   
-               end if  
-            end if             
-            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "wsvpts" .OR. vNam(varn) .EQ. "wvpt") then
-               if (wpvptp .EQ. 0) then
-                  res@gsnLeftString      = "wpvptp, wsvpts and wvpt"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
-                  res@gsnRightString     = " "
-                  if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwpvptp,miniwsvpts,miniwvpt/))
-                  else 
-                     res@trXMinF = xs
-                  end if
-                  if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
-                  else 
-                     res@trXMaxF = xe  
-                  end if 
-		  if (vNam(varn) .EQ. "wsvpts")then
-		     res@xyDashPattern = 1
-		  end if
-		  if (vNam(varn) .EQ. "wvpt")then
-		     res@xyDashPattern = 2
-		  end if
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.1           
-                  lgres@vpHeightF          = 0.12          
-                  lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpvptp","wsvpts","wvpt"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
-                  overlay(plot(n),plot_wpvptp)
-                  wpvptp=1
-               else
-                  if (prof3d .EQ. 0)then
-                     varn=varn+1
-                  end if
-                  continue   
-               end if
-            end if
-            if (vNam(varn) .EQ. "wpqp" .OR. vNam(varn) .EQ. "wsqs" .OR. vNam(varn) .EQ. "wq") then
-               if (wpqp .EQ. 0) then 
-                  res@gsnLeftString      = "wpqp, wsqs and wq"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
-                  res@gsnRightString     = " "
-                  if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwpqp,miniwsqs,miniwq/))
-                  else 
-                     res@trXMinF = xs
-                  end if
-                  if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwpqp,maxiwsqs,maxiwq/))
-                  else 
-                     res@trXMaxF = xe  
-                  end if  
-		  if (vNam(varn) .EQ. "wsqs")then
-		     res@xyDashPattern = 1
-		  end if
-		  if (vNam(varn) .EQ. "wq")then
-		     res@xyDashPattern = 2
-		  end if
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = font_size_legend           
-                  lgres@vpWidthF           = 0.08           
-                  lgres@vpHeightF          = 0.12          
-                  lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpqp","wsqs","wq"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
-                  overlay(plot(n),plot_wpqp)
-                  wpqp=1
-               else
-                  if (prof3d .EQ. 0)then
-                     varn=varn+1
-                  end if 
-                  continue   
-               end if
-            end if
-            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "wsqvs" .OR. vNam(varn) .EQ. "wqv") then
-               if (wpqvp .EQ. 0) then
-                  res@gsnLeftString      = "wpqvp, wsqvs and wqv"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
-                  res@gsnRightString     = " "
-                  if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwpqp,miniwsqvs,miniwqv/))
-                  else 
-                     res@trXMinF = xs
-                  end if
-                  if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
-                  else 
-                     res@trXMaxF = xe  
-                  end if 
-		  if (vNam(varn) .EQ. "wsqvs")then
-		     res@xyDashPattern = 1
-		  end if
-		  if (vNam(varn) .EQ. "wqv")then
-		     res@xyDashPattern = 2
-		  end if
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.09           
-                  lgres@vpHeightF          = 0.12         
-                  lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpqvp","wsqvs","wqv"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
-                  overlay(plot(n),plot_wpqvp) 
-                  wpqvp=1
-               else
-                  if (prof3d .EQ. 0)then
-                     varn=varn+1
-                  end if
-                  continue   
-               end if
-            end if
-            if (vNam(varn) .EQ. "wpsp" .OR. vNam(varn) .EQ. "wsss" .OR. vNam(varn) .EQ. "ws") then
-               if (wpsp .EQ. 0) then
-                  res@gsnLeftString      = "wpsp, wsss and ws"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
-                  res@gsnRightString     = " "
-                  if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwpsp,miniwsss,miniws/))
-                  else 
-                     res@trXMinF = xs
-                  end if
-                  if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwpsp,maxiwsss,maxiws/))
-                  else 
-                     res@trXMaxF = xe  
-                  end if 
-                  if (vNam(varn) .EQ. "wsss")then
-		     res@xyDashPattern = 1
-		  end if
-		  if (vNam(varn) .EQ. "ws")then
-		     res@xyDashPattern = 2
-		  end if
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.08           
-                  lgres@vpHeightF          = 0.12          
-                  lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpsp","wsss","ws"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.65		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
-                  overlay(plot(n),plot_wpsp)
-                  wpsp=1
-               else
-                  if (prof3d .EQ. 0)then
-                     varn=varn+1
-                  end if
-                  continue   
-               end if
-            end if 
-            if (vNam(varn) .EQ. "wpsap" .OR.vNam(varn) .EQ. "wssas" .OR. vNam(varn) .EQ. "wsa") then
-               if (wpsap .EQ. 0) then
-                  res@gsnLeftString      = "wpsap, wssas and wsa"
-		  res@tiXAxisString      = "["+unit(varn)+"]"
-                  res@gsnRightString     = " "
-                  if (xs .EQ. -1) then
-                     res@trXMinF = min((/miniwpsap,miniwssas,miniwsa/))
-                  else 
-                     res@trXMinF = xs
-                  end if
-                  if (xe .EQ. -1) then
-                     res@trXMaxF = max((/maxiwpsap,maxiwssas,maxiwsa/))
-                  else 
-                     res@trXMaxF = xe  
-                  end if 
-                  if (vNam(varn) .EQ. "wssas")then
-		     res@xyDashPattern = 1
-		  end if
-		  if (vNam(varn) .EQ. "wsa")then
-		     res@xyDashPattern = 2
-		  end if
-                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z,res) 
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = font_size_legend            
-                  lgres@vpWidthF           = 0.09           
-                  lgres@vpHeightF          = 0.12          
-                  lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wpsap","wssas","wsa"/),lgres)       
+                  lbid = gsn_create_legend(wks,3,(/"w"+dq+"sa"+dq,"w*sa*","wsa"/),lgres)       
 
                   amres = True
@@ -3787,7 +3831,8 @@
             end if
           
-            if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "vs2" .OR. vNam(varn) .EQ. "ws2") then
+            if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "vs2" .OR. vNam(varn) .EQ. "ws2" \
+                .OR. vNam(varn) .EQ. "u*2" .OR. vNam(varn) .EQ. "v*2" .OR. vNam(varn) .EQ. "w*2" ) then
                if (us2 .EQ. 0) then
-                  res@gsnLeftString      = "us2, vs2 and ws2"
+                  res@gsnLeftString      = "u*2, v*2 and w*2"
 		  res@tiXAxisString      = "["+unit(varn)+"]"
                   res@gsnRightString     = " "
@@ -3821,5 +3866,5 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"us2","vs2","ws2"/),lgres)       
+                  lbid = gsn_create_legend(wks,3,(/"u*2","v*2","w*2"/),lgres)       
 
                   amres = True
@@ -3837,7 +3882,8 @@
             end if
            
-            if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "wspsodz" .OR. vNam(varn) .EQ. "wpeodz" ) then
+            if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "wspsodz" .OR. vNam(varn) .EQ. "wpeodz" \
+               .OR. vNam(varn) .EQ. "w*u*u*:dz" .OR. vNam(varn) .EQ. "w*p*:dz" .OR. vNam(varn) .EQ. "w"+dq+"e:dz") then
                if (wsususodz .EQ. 0) then 
-                  res@gsnLeftString      = "wsususodz, wspsodz and wpeodz"
+                  res@gsnLeftString      = "w*u*u*:dz, w*p*:dz and w"+dq+"e:dz"
 		  res@tiXAxisString      = "["+unit(varn)+"]"
                   res@gsnRightString     = " "
@@ -3871,5 +3917,5 @@
                   lgres@vpHeightF          = 0.12          
                   lgres@lgDashIndexes      = (/0,1,2/)
-                  lbid = gsn_create_legend(wks,3,(/"wsususodz","wspsodz","wpeodz"/),lgres)       
+                  lbid = gsn_create_legend(wks,3,(/"w*u*u*:dz","w*p*:dz","w"+dq+"e:dz"/),lgres)       
 
                   amres = True
Index: palm/trunk/SCRIPTS/NCL/spectra.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 523)
+++ palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 526)
@@ -32,4 +32,10 @@
 
 begin
+
+   ;***************************************************
+   ; Retrieving the double quote character
+   ;***************************************************
+   
+   dq=str_get_dq()
 
    ;***************************************************
Index: palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 523)
+++ palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 526)
@@ -33,4 +33,10 @@
    
 begin
+
+   ;***************************************************
+   ; Retrieving the double quote character
+   ;***************************************************
+   
+   dq=str_get_dq()
 
    ;***************************************************
@@ -344,7 +350,4 @@
       plot_pt_0_   = gsn_csm_xy(wks_ps,t,data_0(:),res)
       plot_pt_zp_  = gsn_csm_xy(wks_ps,t,data_0(:),res)
-      plot_splptx  = gsn_csm_xy(wks_ps,t,data_0(:),res)
-      plot_splpty  = gsn_csm_xy(wks_ps,t,data_0(:),res)
-      plot_splptz  = gsn_csm_xy(wks_ps,t,data_0(:),res)
    end if
 
@@ -435,5 +438,5 @@
             maxi(varn) = max(data(varn,:))
            
-            if (vNam(varn) .EQ. "E" .OR. vNam(varn) .EQ. "Es") then
+            if (vNam(varn) .EQ. "E" .OR. vNam(varn) .EQ. "Es" .OR. vNam(varn) .EQ. "E*") then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
@@ -454,5 +457,6 @@
             end if
 
-            if (vNam(varn) .EQ. "us" .OR. vNam(varn) .EQ. "ws") then
+            if (vNam(varn) .EQ. "us" .OR. vNam(varn) .EQ. "ws"\
+                .OR. vNam(varn) .EQ. "u*" .OR. vNam(varn) .EQ. "w*") then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
@@ -511,5 +515,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wpt") then
+            if (vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wpt"\
+               .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq+"0" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq ) then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
@@ -530,5 +535,6 @@
             end if
 
-            if (vNam(varn) .EQ. "pt_0_" .OR. vNam(varn) .EQ. "pt_zp_") then
+            if (vNam(varn) .EQ. "pt_0_" .OR. vNam(varn) .EQ. "pt_zp_"\
+               .OR. vNam(varn) .EQ. "pt(0)" .OR. vNam(varn) .EQ. "pt(zp)") then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
@@ -547,23 +553,4 @@
                minp=min((/minp,mini(varn)/))
                maxp=max((/maxp,maxi(varn)/))
-            end if
-
-            if (vNam(varn) .EQ. "splptx" .OR. vNam(varn) .EQ. "splpty" .OR. vNam(varn) .EQ. "splptz") then
-               if (mini(varn) .EQ. maxi(varn)) then
-                  if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-0.1
-                     maxi(varn)= maxi(varn)+0.1
-                  end if
-                  if (min(data(varn,:)) .LT. 0)then
-                     mini(varn)= mini(varn)-1.+(mini(varn))/2
-                     maxi(varn)= maxi(varn)+1.-(maxi(varn))/2
-                  end if
-                  if (min(data(varn,:)) .GT. 0)then
-                     mini(varn)= mini(varn)-1.-(mini(varn))/2
-                     maxi(varn)= maxi(varn)+1.+(maxi(varn))/2
-                  end if
-               end if
-               mins=min((/mins,mini(varn)/))
-               maxs=max((/maxs,maxi(varn)/))
             end if
             
@@ -617,5 +604,5 @@
                plot_E = gsn_csm_xy(wks_ps,t,data(varn,:),res)
             end if
-            if (vNam(varn) .EQ. "Es")
+            if (vNam(varn) .EQ. "Es" .OR. vNam(varn) .EQ. "E*")
                Es=0
                res@xyLineColors            = (/144/)
@@ -625,5 +612,5 @@
             end if 
              
-            if (vNam(varn) .EQ. "us")
+            if (vNam(varn) .EQ. "us" .OR. vNam(varn) .EQ. "u*")
                us=0
                res@xyLineColors            = (/237/)
@@ -634,5 +621,5 @@
                plot_us = gsn_csm_xy(wks_ps,t,data(varn,:),res)
             end if             
-            if (vNam(varn) .EQ. "ws")
+            if (vNam(varn) .EQ. "ws" .OR. vNam(varn) .EQ. "w*")
                ws=0
                res@xyLineColors            = (/144/)
@@ -683,5 +670,5 @@
             end if
 
-            if (vNam(varn) .EQ. "wpptp0")
+            if (vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq+"0" )
                w0=0
                res@xyLineColors            = (/237/)
@@ -692,5 +679,5 @@
                plot_wpptp0 = gsn_csm_xy(wks_ps,t,data(varn,:),res)
             end if
-            if (vNam(varn) .EQ. "wpptp")
+            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq)
                wp=0
                res@xyLineColors            = (/144/)
@@ -707,5 +694,5 @@
             end if
 
-            if (vNam(varn) .EQ. "pt_0_")
+            if (vNam(varn) .EQ. "pt_0_" .OR. vNam(varn) .EQ. "pt(0)")
                p=0
                res@xyLineColors            = (/237/)
@@ -716,5 +703,5 @@
                plot_pt_0_ = gsn_csm_xy(wks_ps,t,data(varn,:),res)  
             end if
-            if (vNam(varn) .EQ. "pt_zp_")
+            if (vNam(varn) .EQ. "pt_zp_" .OR. vNam(varn) .EQ. "pt(zp)")
                pz=0
                res@xyLineColors            = (/144/)
@@ -722,28 +709,4 @@
                res@xyLineLabelFontColor   = 144
                plot_pt_zp_ = gsn_csm_xy(wks_ps,t,data(varn,:),res) 
-            end if
-
-            if (vNam(varn) .EQ. "splptx")
-               x=0
-               res@xyLineColors            = (/237/)
-               res@xyLineLabelFontHeightF = 0.05 
-               res@xyLineLabelFontColor   = 237
-               res@trYMaxF           = maxs
-               res@trYMinF           = mins
-               plot_splptx = gsn_csm_xy(wks_ps,t,data(varn,:),res)    
-            end if
-            if (vNam(varn) .EQ. "splpty")
-               y=0
-               res@xyLineColors            = (/144/)
-               res@xyLineLabelFontHeightF = 0.05 
-               res@xyLineLabelFontColor   = 144
-               plot_splpty = gsn_csm_xy(wks_ps,t,data(varn,:),res)
-            end if
-            if (vNam(varn) .EQ. "splptz")
-               z=0
-               res@xyLineColors            = (/80/)
-               res@xyLineLabelFontHeightF = 0.05 
-               res@xyLineLabelFontColor   = 80
-               plot_splptz = gsn_csm_xy(wks_ps,t,data(varn,:),res)         
             end if
 
@@ -787,5 +750,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"E","Es"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"E","E*"/),lgres)       
 
                amres = True
@@ -794,5 +757,5 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)            
             end if
-            if (vNam(varn) .EQ. "Es" .AND. E .NE. 1) then
+            if ((vNam(varn) .EQ. "Es" .OR. vNam(varn) .EQ. "E*") .AND. E .NE. 1) then
                Es=1
                overlay(plot_E,plot_Es)
@@ -812,5 +775,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"E","Es"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"E","E*"/),lgres)       
 
                amres = True
@@ -820,5 +783,5 @@
             end if
 
-            if (vNam(varn) .EQ. "us" .AND. ws .NE. 1) then
+            if ((vNam(varn) .EQ. "us" .OR. vNam(varn) .EQ. "u*") .AND. ws .NE. 1) then
                us=1
                overlay(plot_us,plot_ws)
@@ -838,5 +801,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"us","ws"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"u*","w*"/),lgres)       
 
                amres = True
@@ -845,5 +808,5 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if
-            if (vNam(varn) .EQ. "ws" .AND. us .NE. 1) then
+            if ((vNam(varn) .EQ. "ws" .OR. vNam(varn) .EQ. "w*") .AND. us .NE. 1) then
                ws=1
                overlay(plot_us,plot_ws)
@@ -863,5 +826,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"us","ws"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"u*","w*"/),lgres)       
 
                amres = True
@@ -1008,5 +971,5 @@
             end if    
          
-            if (vNam(varn) .EQ. "wpptp0" .AND. wp .NE. 1)
+            if ((vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq+"0") .AND. wp .NE. 1)
                if (wt .NE. 1) then
                   w0=1
@@ -1036,5 +999,5 @@
                end if            
             end if
-            if (vNam(varn) .EQ. "wpptp" .AND. w0 .NE. 1)
+            if ((vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq) .AND. w0 .NE. 1)
                if (wt .NE. 1) then
                  wp=1
@@ -1093,5 +1056,5 @@
             end if
 
-            if (vNam(varn) .EQ. "pt_0_" .AND. pz .NE. 1) then
+            if ((vNam(varn) .EQ. "pt_0_" .OR. vNam(varn) .EQ. "pt(0)") .AND. pz .NE. 1) then
                p=1      
                overlay(plot_pt_0_,plot_pt_zp_)
@@ -1118,5 +1081,5 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if 
-            if (vNam(varn) .EQ. "pt_zp_" .AND. p .NE. 1) then
+            if ((vNam(varn) .EQ. "pt_zp_" .OR. vNam(varn) .EQ. "pt(zp)") .AND. p .NE. 1) then
                pz=1        
                overlay(plot_pt_0_,plot_pt_zp_)
@@ -1143,91 +1106,17 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if
-            
-            if (vNam(varn) .EQ. "splptx" .AND. y .NE. 1)
-               if (z .NE.1 ) then
-                  x=1      
-                  overlay(plot_splptx,plot_splpty)
-                  overlay(plot_splptx,plot_splptz)
-                  n=n+1
-                  plot_ps(n) = plot_splptx    
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
-                  lgres@vpWidthF           = 0.4           
-                  lgres@vpHeightF          = 0.4          
-                  lgres@lgDashIndexes      = (/0,0,0/)
-                  lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"splptx","splpty","splptz"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.6		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
-               end if
-            end if 
-            if (vNam(varn) .EQ. "splpty" .AND. x .NE. 1)
-               if(z .NE.1 ) then
-                  y=1         
-                  overlay(plot_splptx,plot_splpty)
-                  overlay(plot_splptx,plot_splptz)
-                  n=n+1
-                  plot_ps(n) = plot_splptx
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
-                  lgres@vpWidthF           = 0.4           
-                  lgres@vpHeightF          = 0.4          
-                  lgres@lgDashIndexes      = (/0,0,0/)
-                  lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"splptx","splpty","splptz"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.6		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
-               end if           
-            end if 
-            if (vNam(varn) .EQ. "splptz" .AND. y .NE. 1)
-               if(x .NE.1 ) then
-                  z=1          
-                  overlay(plot_splptx,plot_splpty)
-                  overlay(plot_splptx,plot_splptz)
-                  n=n+1
-                  plot_ps(n) = plot_splptx  
-
-                  ; ***************************************************
-                  ; legend for combined plot
-                  ; ***************************************************
-      
-                  lgres                    = True
-                  lgMonoDashIndex          = False
-                  lgres@lgLabelFont        = "helvetica"    
-                  lgres@lgLabelFontHeightF = .1            
-                  lgres@vpWidthF           = 0.4           
-                  lgres@vpHeightF          = 0.4          
-                  lgres@lgDashIndexes      = (/0,0,0/)
-                  lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"splptx","splpty","splptz"/),lgres)       
-
-                  amres = True
-                  amres@amParallelPosF   = 0.6		    
-                  amres@amOrthogonalPosF = -0.2            
-                  annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
-               end if       
-            end if
-
-            if(vNam(varn) .NE. "splptz" .AND. vNam(varn) .NE. "splpty" .AND. vNam(varn) .NE. "splptx" .AND. vNam(varn) .NE. "pt_zp_" .AND. vNam(varn) .NE. "pt_0_" .AND. vNam(varn) .NE. "wpt" .AND. vNam(varn) .NE. "wpptp" .AND. vNam(varn) .NE. "wpptp0" .AND. vNam(varn) .NE. "z_i_pt" .AND. vNam(varn) .NE. "z_i_wpt" .AND. vNam(varn) .NE. "wmax" .AND. vNam(varn) .NE. "vmax" .AND. vNam(varn) .NE. "umax" .AND. vNam(varn) .NE. "ws" .AND.  vNam(varn) .NE. "us" .AND. vNam(varn) .NE. "Es" .AND. vNam(varn) .NE. "E") then
+
+            if(vNam(varn) .NE. "pt_zp_" .AND. vNam(varn) .NE. "pt(zp)" .AND. \
+               vNam(varn) .NE. "pt_0_" .AND. vNam(varn) .NE. "pt(0)" .AND. \
+               vNam(varn) .NE. "wpt" .AND. vNam(varn) .NE. "wpptp" .AND. \
+               vNam(varn) .NE. "w"+dq+"pt"+dq .AND. vNam(varn) .NE. "wpptp0" .AND. \
+               vNam(varn) .NE. "w"+dq+"pt"+dq+"0" .AND. vNam(varn) .NE. "z_i_pt" .AND.\
+               vNam(varn) .NE. "z_i_wpt" .AND. vNam(varn) .NE. "wmax" .AND. \
+               vNam(varn) .NE. "vmax" .AND. vNam(varn) .NE. "umax" .AND. \
+               vNam(varn) .NE. "ws" .AND. vNam(varn) .NE. "w*" .AND.  \
+               vNam(varn) .NE. "us" .AND. vNam(varn) .NE. "u*" .AND. \
+               vNam(varn) .NE. "Es" .AND. vNam(varn) .NE. "E*" .AND. \
+               vNam(varn) .NE. "E") then
+
                n=n+1
                res@xyLineColors   = (/237/)
Index: palm/trunk/SCRIPTS/palmplot
===================================================================
--- palm/trunk/SCRIPTS/palmplot	(revision 523)
+++ palm/trunk/SCRIPTS/palmplot	(revision 526)
@@ -7,4 +7,6 @@
     # Last changes
     # 16/03/10 - Rieke - initial revision
+    # 30/03/10 - Rieke - substituting double quotes (") with a character 
+    #                    variable (dq) containing double quotes 
 
 
@@ -101,9 +103,12 @@
     fi
      
-    # SETTING STRINGS IN QUOTATION MARKS - REQUIRED BY NCL
+    # PROCESSING STRINGS
     for a in $STRINGPARAMS
     do
       if [ "$key" = "$a" ]
       then
+         # SUBSTITUTING DOUBLE QUOTES - REQUIRED BY NCL
+         value=`echo $value | sed 's/\"/\"+dq+\"/g'`
+         # SETTING ENTIRE STRING IN DOUBLE QUOTES - REQUIRED BY NCL
          value=\"$value\"
          break
@@ -117,5 +122,5 @@
  # EXECUTING THE PARTICULAR NCL SCRIPT
  cd $PALM_BIN/NCL
- ncl $script $CMDLINE
+ ncl 'dq=str_get_dq()' $script $CMDLINE 
 
 
